<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

if (!defined ('TYPO3_MODE')) {
    die ('Access denied.');
}

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_fe.php']['configArrayPostProc']['tx_imiabase'] =
    'IMIA\Base\Hook\TypoScriptFrontendController->configArrayPostProc';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_page.php']['getRecordOverlay']['tx_imiabase'] =
    'IMIA\Base\Hook\PageRepositoryGetRecordOverlayHook';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_pagerenderer.php']['render-postProcess']['tx_imiabase'] =
    'IMIA\Base\Hook\PageRenderer->renderPostProcess';

$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\TypoScript\TemplateService'] = array(
    'className' => 'IMIA\Base\Xclass\TemplateService',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\TypoScript\ExtendedTemplateService'] = array(
    'className' => 'IMIA\Base\Xclass\ExtendedTemplateService',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\TypoScript\ConfigurationForm'] = array(
    'className' => 'IMIA\Base\Xclass\ConfigurationForm',
);

if (TYPO3_version >= '6.1.0') { // Hook (htmlTag) is not called anymore
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Core\Page\PageRenderer'] = array(
        'className' => 'IMIA\Base\Xclass\PageRenderer',
    );
}
$GLOBALS['TYPO3_CONF_VARS']['FE']['addRootLineFields'] .= ', module';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY, 'setup',
    '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/TypoScript/setup.ts">', true);

if (!function_exists('user_isInMenuFolder')) {
    function user_isInMenuFolder()
    {
        $inMenuFolder = false;
        foreach ($GLOBALS['TSFE']->rootLine as $page) {
            if ($page['module'] == 'menu') {
                $inMenuFolder = true;
                break;
            }
        }

        return $inMenuFolder;
    }
}
